petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateFromFile

This takes a filename and produces a DM

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

### Input Parameters

| comm | - The communicator
| filename | - A file name
| interpolate | - Flag to create intermediate mesh pieces (edges, faces)

### Output Parameter

dm -The DM

### See Also

DMPlexCreateFromDAG(), DMPlexCreateFromCellList(), DMPlexCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html